Bug 13686 - Xconfigurator Failed with NVIDIA Geforce 256
Xconfigurator Failed with NVIDIA Geforce 256
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 21:07 EDT by Rogelio Noriega
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-02 08:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rogelio Noriega 2000-07-10 21:07:00 EDT
Issue: GUI Install RedHat 7.0 Beta 3 on Dell Precision WS-620
         
          Configuration 
          Processor: P-III Processor Config: Single Processor Processor 
Speed: 933 MHz                    
          Ram Size: 1536 Mb 
          Dual SCSI HD 18GB.
          Video Card: NVIDIA Geforce 256
          Sound Card: Santa Cruz (CS4630)
          CD-ROM: 32x IDE 
          NIC on-board 3C90X
          Mouse: Microsoft Intellimouse


After installing on the WS620 with a Synergy Force (NV10) via floppy boot, 
startx came up at 640x480 resolution.  I attempted to run Xconfigurator to 
fix the resolution and chose the NVIDIA GeForce 256 (generic) from the 
video card list.  Xconfigurator then exited out reporting that Server 
doesnt exist, cant continue. tried to use ../../usr/X11R6/bin/SVGA.
I then attempted to use xf86cfg,  I chose the Riva TNT2 but this did not 
work after this, startx no longer functioned at all.
Comment 1 Trond Eivind Glomsrxd 2000-07-12 13:03:15 EDT
Is  /usr/X11R6/bin/SVGA present?
Comment 2 Trond Eivind Glomsrxd 2000-07-12 13:04:00 EDT
That should be /usr/X11R6/bin/XF86_SVGA, of course.
Comment 3 Rogelio Noriega 2000-07-12 20:44:45 EDT
a work around for Xconfigurator problem is to copy /usr/X11R6/bin/XF86_SVGA 
to /usr/X11R6/bin/SVGA. Xconfigurator then worked perfectly and we could use 
any resolution.
Comment 4 Trond Eivind Glomsrxd 2000-07-14 12:08:17 EDT
Can you remove that symlink, the /etc/X11/X symlink, run Xconfigurator and see
what /etc/X11/X is?
Comment 5 Glen Foster 2000-07-21 16:23:29 EDT
Does this defect still exist with (on) Winston beta-4?
Comment 6 Trond Eivind Glomsrxd 2000-07-24 15:12:41 EDT
We've fixed this in CVS.
Comment 7 Rogelio Noriega 2000-07-31 18:20:52 EDT
Worked using (Xfree86) and (xf86cfg 4.0.1)when Xconfigurator is ran system has 
a core dump.
Comment 8 Trond Eivind Glomsrxd 2000-08-01 11:19:31 EDT
Verified and fixed in CVS
Comment 9 Rogelio Noriega 2000-08-01 22:58:04 EDT
We are still having this problem in beta 5, Nvidia NV10 GeForce Worked using 
(Xfree86) and (xf86cfg 4.0.1) when Xconfigurator is ran system has a core dump.
Comment 10 Rogelio Noriega 2000-08-01 23:04:27 EDT
Geforce II NV 10
Vender ID= 10de
Device ID= 100
Xconfigurator and xfcfg do not work.
xf86config works if linked to /usr/X11R6/bin/XFree86 and XF86Config is edited 
manually.
Comment 11 Trond Eivind Glomsrxd 2000-08-02 08:43:16 EDT
Beta5 did not have the GeForce fix, 4.3.37 has - available from
http://people.redhat/com/teg/xc/
Comment 12 Rogelio Noriega 2000-08-02 10:23:12 EDT
New RPM Xconfigurator-4.3.37-1.i386.rpm fixed problem.

Note You need to log in before you can comment on or make changes to this bug.